org.apache.flume.serialization

## Enum EventSerializerType

- java.lang.Object
- - java.lang.Enum<EventSerializerType>
  - - org.apache.flume.serialization.EventSerializerType

- All Implemented Interfaces:
    Serializable, Comparable<EventSerializerType>

      @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public enum EventSerializerType
      extends Enum<EventSerializerType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVRO_EVENT`
    `HEADER_AND_TEXT`
    `OTHER`
    `TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<? extends EventSerializer.Builder>` | `getBuilderClass()`
    `static EventSerializerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventSerializerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TEXT

          public static final EventSerializerType TEXT

    - #### HEADER_AND_TEXT

          public static final EventSerializerType HEADER_AND_TEXT

    - #### AVRO_EVENT

          public static final EventSerializerType AVRO_EVENT

    - #### OTHER

          public static final EventSerializerType OTHER

  - ### Method Detail

    - #### values

          public static EventSerializerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventSerializerType c : EventSerializerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventSerializerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getBuilderClass

          public Class<? extends EventSerializer.Builder> getBuilderClass()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.